/**
 * WFASDR 部件模型
 *
 * @export
 * @class WFASDRModel
 */
export default class WFASDRModel {

  /**
    * 获取数据项集合
    *
    * @returns {any[]}
    * @memberof WFASDRModel
    */
  public getDataItems(): any[] {
    return [
      {
        name: 'updatedate',
      },
      {
        name: 'updateman',
      },
      {
        name: 'proxydataid',
      },
      {
        name: 'wfstate',
      },
      {
        name: 'wfasname',
      },
      {
        name: 'wfas',
        prop: 'wfasid',
      },
      {
        name: 'proxymoduleid',
      },
      {
        name: 'aswfstate',
      },
      {
        name: 'wfstep',
      },
      {
        name: 'wfinstanceid',
      },
      {
        name: 'createdate',
      },
      {
        name: 'createman',
      },
    ]
  }


}