/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'wfbcid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'wfbcname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'wfbcname',
        prop: 'wfbcname',
        dataType: 'TEXT',
      },
      {
        name: 'proxymoduleid',
        prop: 'proxymoduleid',
        dataType: 'TEXT',
      },
      {
        name: 'proxydataid',
        prop: 'proxydataid',
        dataType: 'TEXT',
      },
      {
        name: 'wfinstanceid',
        prop: 'wfinstanceid',
        dataType: 'TEXT',
      },
      {
        name: 'wfbcid',
        prop: 'wfbcid',
        dataType: 'GUID',
      },
      {
        name: 'wfbc',
        prop: 'wfbcid',
        dataType: 'FONTKEY',
      },
    ]
  }

}