/**
 * WFBCDR 部件模型
 *
 * @export
 * @class WFBCDRModel
 */
export default class WFBCDRModel {

  /**
    * 获取数据项集合
    *
    * @returns {any[]}
    * @memberof WFBCDRModel
    */
  public getDataItems(): any[] {
    return [
      {
        name: 'wfstate',
      },
      {
        name: 'updatedate',
      },
      {
        name: 'wfstep',
      },
      {
        name: 'state',
      },
      {
        name: 'proxydataid',
      },
      {
        name: 'createdate',
      },
      {
        name: 'wfbcname',
      },
      {
        name: 'proxymoduleid',
      },
      {
        name: 'createman',
      },
      {
        name: 'wfbc',
        prop: 'wfbcid',
      },
      {
        name: 'updateman',
      },
      {
        name: 'wfinstanceid',
      },
    ]
  }


}