/**
 * Main2 部件模型
 *
 * @export
 * @class Main2Model
 */
export default class Main2Model {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof Main2Model
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'wfbmid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'wfbmname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'proxydataid',
        prop: 'proxydataid',
        dataType: 'TEXT',
      },
      {
        name: 'proxymoduleid',
        prop: 'proxymoduleid',
        dataType: 'TEXT',
      },
      {
        name: 'wfinstanceid',
        prop: 'wfinstanceid',
        dataType: 'TEXT',
      },
      {
        name: 'srfwfmemo',
      },
      {
        name: 'wfbmid',
        prop: 'wfbmid',
        dataType: 'GUID',
      },
      {
        name: 'wfbm',
        prop: 'wfbmid',
        dataType: 'FONTKEY',
      },
    ]
  }

}