/**
 * WFBMDR 部件模型
 *
 * @export
 * @class WFBMDRModel
 */
export default class WFBMDRModel {

  /**
    * 获取数据项集合
    *
    * @returns {any[]}
    * @memberof WFBMDRModel
    */
  public getDataItems(): any[] {
    return [
      {
        name: 'bmwfstate',
      },
      {
        name: 'createdate',
      },
      {
        name: 'proxydataid',
      },
      {
        name: 'proxymoduleid',
      },
      {
        name: 'wfinstanceid',
      },
      {
        name: 'createman',
      },
      {
        name: 'wfbm',
        prop: 'wfbmid',
      },
      {
        name: 'updateman',
      },
      {
        name: 'wfstate',
      },
      {
        name: 'updatedate',
      },
      {
        name: 'wfbmname',
      },
      {
        name: 'wfstep',
      },
    ]
  }


}