/**
 * WFForm 部件模型
 *
 * @export
 * @class WFFormModel
 */
export default class WFFormModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof WFFormModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'wfimid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'wfimname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'proxydataid',
        prop: 'proxydataid',
        dataType: 'TEXT',
      },
      {
        name: 'proxymoduleid',
        prop: 'proxymoduleid',
        dataType: 'TEXT',
      },
      {
        name: 'wfinstanceid',
        prop: 'wfinstanceid',
        dataType: 'TEXT',
      },
      {
        name: 'srfwfmemo',
      },
      {
        name: 'wfimid',
        prop: 'wfimid',
        dataType: 'GUID',
      },
      {
        name: 'wfim',
        prop: 'wfimid',
        dataType: 'FONTKEY',
      },
    ]
  }

}