/**
 * WFIMDR 部件模型
 *
 * @export
 * @class WFIMDRModel
 */
export default class WFIMDRModel {

  /**
    * 获取数据项集合
    *
    * @returns {any[]}
    * @memberof WFIMDRModel
    */
  public getDataItems(): any[] {
    return [
      {
        name: 'createdate',
      },
      {
        name: 'wfstep',
      },
      {
        name: 'proxydataid',
      },
      {
        name: 'updatedate',
      },
      {
        name: 'wfimname',
      },
      {
        name: 'wfim',
        prop: 'wfimid',
      },
      {
        name: 'createman',
      },
      {
        name: 'wfstate',
      },
      {
        name: 'updateman',
      },
      {
        name: 'state',
      },
      {
        name: 'proxymoduleid',
      },
      {
        name: 'wfinstanceid',
      },
    ]
  }


}